ACLOCAL_AMFLAGS = -I m4

DIR_SFMT = SFMT-src-1.3.3

bin_PROGRAMS = ascript

lib_LTLIBRARIES = libascript.la

AM_CPPFLAGS = -DMEXP=19937 -DBINDIR=\"$(bindir)\" \
-DPKGDATADIR=\"$(pkgdatadir)\" -DPKGLIBDIR=\"$(pkglibdir)\" \
-DASCRIPT_VERSION=\"$(VERSION)\"

INCLUDES = -I$(srcdir)/../include

ascript_LDADD = libascript.la
ascript_LDFLAGS = -pthread
ascript_DEPENDENCIES = libascript.la
ascript_SOURCES = \
Program_ascript/Main.cpp

libascript_la_SOURCES = \
Common.cpp Parser.cpp Expr.cpp Value.cpp Iterator.cpp \
Symbol.cpp String.cpp Environment.cpp Signal.cpp Formatter.cpp Option.cpp \
Function.cpp Operator.cpp Declaration.cpp \
Algorithm.cpp Codec.cpp \
Stream.cpp Directory.cpp DateTime.cpp OAL.cpp \
$(DIR_SFMT)/SFMT.c \
Object.cpp \
Object_Function.cpp \
Object_String.cpp \
Object_Binary.cpp \
Object_List.cpp \
Object_Matrix.cpp \
Object_Dict.cpp \
Object_Stream.cpp \
Object_DateTime.cpp \
Object_TimeDelta.cpp \
Object_Expr.cpp \
Object_Environment.cpp \
Object_Error.cpp \
Object_URI.cpp \
Object_Struct.cpp \
Object_Custom.cpp \
Object_Iterator.cpp \
Object_Semaphore.cpp \
Object_Codec.cpp \
Object_Image.cpp \
Object_Palette.cpp \
Object_Color.cpp \
Object_Audio.cpp \
Module.cpp \
Module_basement.cpp \
Module_sys.cpp \
Module_codecs_basic/Module_codecs_basic.cpp \
Module_codecs_iso8859/Module_codecs_iso8859.cpp \
Module_codecs_japanese/Module_codecs_japanese.cpp \
Module_codecs_japanese/Conv_Japanese.cpp \
Module_fs/Module_fs.cpp \
Module_math/Module_math.cpp \
Module_os/Module_os.cpp \
Module_path/Module_path.cpp \
Module_time/Module_time.cpp \
Module_string/Module_string.cpp

pkglib_DATA = \
../module/calendar.az \
../module/gltester.az \
../module/graph.az \
../module/module_builder.az \
../module/tk.az \
../module/units.az \
../module/lets_module.az

include_HEADERS = \
../include/ascript.h

pkginclude_HEADERS = \
../include/ascript/Object_Iterator.h \
../include/ascript/Object_URI.h \
../include/ascript/Object_Color.h \
../include/ascript/Option.h \
../include/ascript/Function.h \
../include/ascript/Object_List.h \
../include/ascript/Object.h \
../include/ascript/Object_Palette.h \
../include/ascript/Declaration.h \
../include/ascript/Object_Semaphore.h \
../include/ascript/Object_DateTime.h \
../include/ascript/DateTime.h \
../include/ascript/Expr.h \
../include/ascript/Object_Struct.h \
../include/ascript/Formatter.h \
../include/ascript/Directory.h \
../include/ascript/Object_Audio.h \
../include/ascript/Object_Matrix.h \
../include/ascript/Operator.h \
../include/ascript/Object_Codec.h \
../include/ascript/Object_Image.h \
../include/ascript/Object_Error.h \
../include/ascript/Object_String.h \
../include/ascript/PackedNumber.h \
../include/ascript/String.h \
../include/ascript/Parser.h \
../include/ascript/Object_Stream.h \
../include/ascript/Object_Dict.h \
../include/ascript/Symbol.h \
../include/ascript/Algorithm.h \
../include/ascript/Object_TimeDelta.h \
../include/ascript/Environment.h \
../include/ascript/Object_Function.h \
../include/ascript/Module.h \
../include/ascript/Signal.h \
../include/ascript/Object_Environment.h \
../include/ascript/Common.h \
../include/ascript/Value.h \
../include/ascript/Stream.h \
../include/ascript/Object_Expr.h \
../include/ascript/Object_Custom.h \
../include/ascript/Codec.h \
../include/ascript/Object_Binary.h \
../include/ascript/OAL.h \
../include/ascript/Iterator.h \
../include/ascript/ZLibHelper.h \
../include/ascript/BZLibHelper.h \
config.h

nobase_pkgdata_DATA = \
sample/scribble/gl-scribble-clear.az \
sample/scribble/gl-scribble-cube.az \
sample/scribble/ggraph.az \
sample/win32/win32-vb.az \
sample/win32/win32-excel.az \
sample/tk/tk-treeview.az \
sample/tk/tk-misc.az \
sample/tk/tk-kangaroo.az \
sample/tk/tk-progressbar.az \
sample/tk/tk-button.az \
sample/tk/tk-canvas.az \
sample/tk/tk-listbox.az \
sample/tk/tk-calc.az \
sample/tk/tk-first.az \
sample/tk/tk-text.az \
sample/tk/tk-slideshow.az \
sample/tk/tk-panedwindow.az \
sample/tk/tk-notebook.az \
sample/tk/tk-stopwatch.az \
sample/tk/tk-menu.az \
sample/tk/tk-event.az \
sample/tk/tk-scrollbar.az \
sample/resource/readme.txt \
sample/resource/arrow-green-l.gif \
sample/resource/arrow-green-u.gif \
sample/resource/kangaroo.png \
sample/resource/chicken16.bmp \
sample/resource/Winter.jpg \
sample/resource/Blue_hills.jpg \
sample/resource/Water_lilies.jpg \
sample/resource/Kaufmann_Bold_BT.ttf \
sample/resource/arrow-green-r.gif \
sample/resource/kangaroo.gif \
sample/resource/arrow-green-d.gif \
sample/resource/zippedfont.zip \
sample/resource/chicken-anim.gif \
sample/resource/chicken256.bmp \
sample/resource/Sunset.jpg \
sample/resource/msnms.ico \
sample/opengl/gl-prim.az \
sample/opengl/gl-depth.az \
sample/opengl/gl-twotextures.az \
sample/opengl/gl-star.az \
sample/opengl/gl-accum.az \
sample/opengl/gl-bitmap1.az \
sample/opengl/gl-logo.az \
sample/opengl/gl-wave.az \
sample/opengl/gl-nurb.az \
sample/opengl/1.rgb \
sample/opengl/2.rgb \
sample/opengl/gl-teapot.az \
sample/opengl/3.rgb \
sample/opengl/gl-copy.az \
sample/opengl/gl-bitmap2.az \
sample/opengl/gl-cube.az \
sample/opengl/gl-stretch.az \
sample/opengl/gl-sphere.az \
sample/opengl/gl-teapot-image.az \
sample/http/http-server.az \
sample/http/proxy_setting.sample.az \
sample/http/http-image.az \
sample/http/http-misc.az \
sample/http/http-client.az \
sample/http/http-open.az \
sample/sdl/sdl-test.az \
sample/sdl/sdl-slideshow.az \
sample/sdl/sdl-chicken.az \
sample/sdl/sdl-dispimg.az \
sample/canvas/test-canvas.az \
sample/freetype/freetype-rotate.az \
sample/freetype/freetype-simple.az \
sample/freetype/freetype-decoration.az \
sample/freetype/freetype-zip.az \
sample/freetype/freetype-misc.az \
sample/freetype/freetype-http.az \
sample/freetype/freetype-cp932.az \
sample/misc/wc.az \
sample/misc/sudoku-resolver.az \
sample/misc/svnlog.az \
sample/misc/parse-services.az \
sample/misc/dump.az \
sample/misc/eightqueen-resolver.az \
sample/misc/hello.az \
sample/misc/services \
sample/misc/resolver.az \
sample/misc/standalone-sample.bat \
sample/cairo/cairo-pdf.az \
sample/cairo/cairo-samples.az
